// File: matchmakerGlueISM.h
// Author: Salvatore Monforte
// Copyright (c) 2002 EU DataGrid.
// For license conditions see http://www.eu-datagrid.org/license.html

// $Id: matchmakerISMImpl.h,v 1.2.8.1 2009/01/27 09:33:13 monforte Exp $

#ifndef GLITE_WMS_MATCHMAKING_MATCHMAKERISMIMPL_H
#define GLITE_WMS_MATCHMAKING_MATCHMAKERISMIMPL_H

#include "glite/wms/matchmaking/matchmaker.h"

namespace classad {
class ClassAd;
}

namespace glite {
namespace wms {
namespace matchmaking {

struct matchmakerISMImpl
{
  void checkRequirement(
    classad::ClassAd&,
    matchtable&
  );

  void checkRequirement(
    classad::ClassAd&,
    std::set<matchtable::key_type> const&,
    matchtable&
  );

  void checkRank(
    classad::ClassAd&,
    matchtable&
  );
};

}}}

#endif
